
QGIS Application - Bug report #11305

Adding an overview map to print composer crashes QGIS

2014-10-01 01:58 PM - Anita Graser

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 19601

Description

To reproduce just add two maps to a print composition. Try to turn the second one in to an overview map. QGIS crashes when trying to

set the map frame to Map0.

Tested with today's nightly OSGeo4W on Win7.

Associated revisions

Revision 6bb045bd - 2014-10-08 10:37 AM - Nyall Dawson

[composer] Ensure that QgsComposerMap::mapPolygon returns a closed

polygon, fixes rare crash when using map overviews (fix #11305)

History

#1 - 2014-10-01 02:03 PM - Anita Graser

The crash does not seem to happen with every project, but I can always reproduce it by loading the alaska.shp from the QGIS sample data.

#2 - 2014-10-02 08:21 AM - Luigi Pirelli

- Status changed from Open to Feedback

not confirmed in my win7 and master 675ba9a + tested on debian wheezy

#3 - 2014-10-02 10:22 AM - Anita Graser

not confirmed on win8 either ... strange, must be local then ... sorry for the noise!

#4 - 2014-10-02 11:43 AM - Anita Graser

- Status changed from Feedback to Closed

#5 - 2014-10-02 02:56 PM - Nyall Dawson

- Status changed from Closed to Reopened

I did reproduce this. I'll investigate
#6 - 2014-10-08 02:30 AM - Nyall Dawson

- Status changed from Reopened to Closed

Fixed in changeset commit:"6bb045bdbbceab330e4cf5818e3cfc588fa1cb49".
